<?php
/**
 * The main template file.
 *
 * This is the most generic template file in a WordPress theme
 * and one of the two required files for a theme (the other being style.css).
 * It is used to display a page when nothing more specific matches a query.
 * E.g., it puts together the home page when no home.php file exists.
 * Learn more: http://codex.wordpress.org/Template_Hierarchy
 *
 * @package Compose
 */

get_header(); ?>


<div id="content" class="container content-bg">
<div class="row">
	
	<?php if ( get_theme_mod( 'compose_show_breadcrumbs' ) === 'yes' ) : // Show breadcrumbs? ?>
		<section class="col-md-12 compose-breadcrumbs">
			<ul>
			<li><span class="title-hover" title="<?php bloginfo( 'name' ); ?> <?php printf( __( 'homepage', 'compose' ) ); ?>"><?php _e( 'Home', 'compose' ); ?></span></li>
		</ul>		
		</section><!-- /.compose-breadcrumbs -->
	<?php endif; ?>
		
	<section class="col-xs-12 col-md-8 compose-content<?php if ( get_theme_mod( 'compose_site_layout' ) === 'left' ) : // What layout? ?> content-change-layout<?php endif; ?>" role="main">

		<?php if ( have_posts() ) : ?>

			<?php /* Start the Loop */ ?>
			<?php while ( have_posts() ) : the_post(); ?>

				<?php
					/* Include the Post-Format-specific template for the content.
					 * If you want to override this in a child theme, then include a file
					 * called content-___.php (where ___ is the Post Format name) and that will be used instead.
					 */
					get_template_part( 'content', get_post_format() );
				?>

			<?php endwhile; ?>

			<?php compose_paging_nav(); ?>

		<?php else : ?>

			<?php get_template_part( 'content', 'none' ); ?>

		<?php endif; ?>
	
	</section><!-- /.compose-content -->

<?php get_sidebar(); ?>
<?php get_footer(); ?>